Subject: Re: [Iasa20] IETF Administrative LLC Establishment and IAOC transition

From: Russ Housley <[email-masked]>
Date: Mon, 24 Sep 2018 20:28:45 -0400

> IASA 2.0 replaces the role of IETF Administrative Director (IAD) with the new role of IETF Executive Director.   The tile of IETF Executive Director has previously been used by Alexa Morris, so Alexa will now be known as the Managing Director, IETF Secretariat. 

There are a whole bunch of RFCs (many that are BCPs) that talk about the IETF Executive Director.  It seems like we have a whole bunch of RFCs to update without this title collision.  Is there a way to avoid this slug of work?

	RFC 3005 - IETF Discussion List Charter
	RFC 3710 - An IESG Charter
	RFC 3777 - Nominating and Recall Committees
	RFC 3929 - Consensus-Blocked Decisions in the IETF
	RFC 3979 - IPR in IETF Technology
	RFC 4071 - Structure of the IASA
	RFC 4879 - Third Party Fix for RFC 3979
	RFC 5633 - NomCom Issues
	RFC 6702 - IPR Disclosure
	RFC 7437 - Update to NomCom Process
	RFC 8318 - Update to NomCom Process

It is also referenced in the Tao, but that is easier to fix.

Maybe we can have an "IETF Executive Director" and an " IETF Admin LLC Executive Director" ...

Russ

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 25 Sep 2018 10:32:25 -0400

Having done a quick pass to evaluate this, I don’t think this is as heavy of a lift as it looks. Some of the documents you cite have been obsoleted and some of them need to get updated for IASA 2.0 anyway (you are also missing a few, I think). A few of these need their own individual update documents, but the rest can be grouped into one or a small number of documents that update several other RFCs at once, IMO. I think the long-term value of having people’s titles align to their job responsibilities and not having them be confused with each other is worth making these updates.

Alissa

> On Sep 24, 2018, at 8:28 PM, Russ Housley <[email-masked]> wrote:
> 
>

---

From: Glenn Deen <[email-masked]>
Date: Tue, 25 Sep 2018 15:31:56 +0000

I agree with Alissa,

There are a number of places where a s/Managing Director, IETF Secretariat/IETF Executive Director/ change is needed, but I don’t see any changes needed in the roles/responsibility in the text that is needed.

The legal documents which define the roles in the LLC specifically mention the Executive Director role and the title of Executive Director in that way is consistent with common practice by organizations structured like the LLC is. Meaning when interacting with the outside world in legal and business context for the IETF the external people will recognize and understand the role.     Likewise, I also think that the new title of IETF Secretariat Managing Director does a good job at capturing the role, while at the same time clearly being recognizable as a position of authority.

-glenn

On 9/25/18, 7:32 AM, "iasa20 on behalf of Alissa Cooper" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Alissa

On Sep 24, 2018, at 8:28 PM, Russ Housley <[email-masked]<mailto:[email-masked]>> wrote:

Russ